Bug 609848 - libguestfs should not include openssl / FIPS *.hmac files in the appliance
Summary: libguestfs should not include openssl / FIPS *.hmac files in the appliance
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: febootstrap (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-01 10:23 UTC by Richard W.M. Jones
Modified: 2012-08-16 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 20:04:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2010-07-01 10:23:18 UTC
Description of problem:

They seem to be useless, and provide endless opportunities for
broken dependencies (eg. bug 604307).

Version-Release number of selected component (if applicable):

febootstrap

Comment 1 Richard W.M. Jones 2010-07-01 10:25:40 UTC
Actually, this is an febootstrap bug.

Comment 2 Bug Zapper 2010-07-30 12:21:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2012-08-16 20:04:17 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Richard W.M. Jones 2012-08-16 20:27:39 UTC
The only files currently included are:
/usr/lib64/fipscheck/cryptsetup.hmac
/usr/lib64/fipscheck/fipscheck.hmac
which appear to be safe.


Note You need to log in before you can comment on or make changes to this bug.